summaryrefslogtreecommitdiff
path: root/stdio-common/tst-unbputc.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-07-03 21:40:46 +0000
committerUlrich Drepper <drepper@redhat.com>2000-07-03 21:40:46 +0000
commit6f98fd7ebb025b6aa3731139c1897bd46a6278fb (patch)
tree3ad7eea0344dea3564fff300949b55d3bc8f1163 /stdio-common/tst-unbputc.sh
parent4a9e89d5eaf441ab9c834b92f5042eeebb9ffa63 (diff)
Update.
2000-07-03 Ulrich Drepper <drepper@redhat.com> * libio/genops.c (__overflow): Use _IO_fwide to orient the stream. (__uflow): Likewise. (__underflow): Likewise. * libio/wgenops.c (__wunderflow): Likewise. * stdio-common/tst-unbputc.c: New file. * stdio-common/tst-unbputc.sh: New file. * stdio-common/Makefile: Add rules to build and run tst-unbputc. * po/en_GB.po: New file. Contributed by Robert Brady <rwb197@ecs.soton.ac.uk>.
Diffstat (limited to 'stdio-common/tst-unbputc.sh')
-rwxr-xr-xstdio-common/tst-unbputc.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/stdio-common/tst-unbputc.sh b/stdio-common/tst-unbputc.sh
new file mode 100755
index 0000000000..929afd357c
--- /dev/null
+++ b/stdio-common/tst-unbputc.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+# Testing the stdio implementation
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1; shift
+
+status=0
+
+${common_objpfx}elf/ld.so --library-path $common_objpfx \
+ ${common_objpfx}stdio-common/tst-unbputc \
+ 2> ${common_objpfx}stdio-common/tst-unbputc.out || status=1
+
+(echo 12 | cmp ${common_objpfx}stdio-common/tst-unbputc.out -) || status=1
+
+exit $status